<template>
    <div class="news-wrapper container">

        <div class="row">
            <div class="col-sm-12">
                <h1>Блог</h1>
            </div>
        </div>

        <div class="news-list row" >
            <n-card v-for="(item, i) in getNews" class="item-news" :listIndex="(currentPage-1)*20+i" :news="item" :key="i"></n-card>
        </div>

        <pagination v-if="pageCount > 1" :current="getPage" :count="pageCount" />

        <router-view ></router-view>
    </div>
</template>

<script>
    import nCard from '../components/blog/NewsCard'
    import spiner from '../components/loading'
    import pagination from '../components/pagination'
    import {mapActions,mapState,mapGetters} from 'vuex';

    export default {
        name: "blog",
        components: {
            nCard,
            spiner,
            pagination,
        },
        data() {
            return {
                isLoading: true,
            }
        },
        computed: {
            ...mapState({
                pageCount: state => state.pageCount,
                currentPage: state => state.currentPage
            }),
            ...mapGetters({
                getNews: 'GET_NEWS',
            }),
            getPage() {
                let isPage = this.$route.fullPath.split('/').pop();
                let curPage = this.currentPage;
                if (isPage.indexOf('page-') >= 0) {
                    curPage = parseInt(isPage.replace('page-',''))
                }
                return curPage;
            }
        },
        methods: {
            ...mapActions({
                getNewsPreviews: 'INIT_NEWS_PREVIEWS',
            }),

        },
        watch: {
            getPage: {
                immediate: true,
                handler: function () {
                    this.getNewsPreviews( this.getPage );
                }
            }
        },
    }
</script>

<style lang="scss" scoped>

    .news-list {
        display: flex;
        flex-wrap: wrap;

        .item-news {
            margin-bottom: 20px;
        }
    }

</style>